### Method

# Ide CodeIndexEntryBuilder build

#### Declaration

    IdeCodeIndexEntry*
    ide_code_index_entry_builder_build (
      IdeCodeIndexEntryBuilder* builder
    )

#### Description

Creates an immutable `IdeCodeIndexEntry` from the builder content.

Available since: | 3.32

#### Return value

Returns: | `IdeCodeIndexEntry`
| An `IdeCodeIndexEntry`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.